/*
 * Page de fonctions JavaScript afférentes aux filtres de chaînes de carractères.
 **/

/*
 * Fonction permettant de filtrer la liste des alias virtuels d'un utilisateur au file des caractères entrés dans le formulaire de création idoine.
 **/
function filtreAliasVirtuels() {
	// Déclaration des variables
	var input, filter, ul, li, a, i, txtValue;
	input = document.getElementById('nom_alias');
	filter = input.value.toUpperCase();
	ul = document.getElementById("liste_alias_virtuels");
	li = ul.getElementsByTagName('li');

	// Pour chaque "<li>", comparer le contenu (actualisé à chaque frappe) du "<input>" "nom_alias" avec le texte du "<p>" qu'il contient
	// Si le contenu du champ de texte est vide, n'en masquer aucun. Si le motif correspond, masquer les autres
	for (i = 0; i < li.length; i++) {
		a = li[i].getElementsByTagName("p")[0];
		txtValue = a.textContent || a.innerText;
		if (txtValue.toUpperCase().indexOf(filter) > -1) {
			li[i].style.display = "";
		} else {
			li[i].style.display = "none";
		}
	}
}

/*
 * Fonction permettant de valider (soumettre le formulaire) le choix de l'utilisateur pour en administrer les possessions.
 **/
function autosubmit() {
	document.getElementById("form_choix_utilisateur").submit();
}